<?php
return array
(
    'name' => '身份资源设置表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'sort asc',
    'struct' => array
    (
        'type' => array
        (
            'name'      => '资源类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '内容',
                2 => '功能',
                3 => '商品',
                //4 => '角色',
                //5 => '数据',
                //6 => '聊天',
            ),
        ),
        'icon' => array
        (
            'name'      => '图标',
            'type'      => 'varchar(150)',
        ),
        'name' => array
        (
            'name'      => '展示名称',
            'type'      => 'varchar(32)',
        ),

        'sort' => array
        (
            'name'      => '排序序号',
            'type'      => 'int(11)',
            'default'   => '1',
        ),
        
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '可用',
                2 => '不可用',
            ),
        ),
    ),

    'default' => array
    (
        'field' => 'name,type,sort,cdate',
        'value' => array
        (
            '"内容",1,1,' . DEVER_TIME,
            '"功能",2,2,' . DEVER_TIME,
            '"商品",3,3,' . DEVER_TIME,
            //'"角色",4,4,' . DEVER_TIME,
            //'"数据",5,5,' . DEVER_TIME,
        ),
        'num' => 1,
    ),
);