<?php
return array
(
    'name' => '身份表',
    'partition' => 'Dever::call("manage/common.system", array(false, false))',
    'struct' => array
    (
        'uid' => array
        (
            'name'      => '用户ID',
            'type'      => 'int(11)',
        ),
        'type' => array
        (
            'name'      => '类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '公开',
                2 => '注册',
                //3 => '邀请',
                4 => '密码',
                5 => '购买',
            ),
        ),
        'name' => array
        (
            'name'      => '名称',
            'type'      => 'varchar(32)',
        ),
        'logo' => array
        (
            'name'      => '头像',
            'type'      => 'varchar(150)',
        ),
        'bg' => array
        (
            'name'      => '背景图',
            'type'      => 'varchar(150)',
        ),
        'content' => array
        (
            'name'      => '介绍',
            'type'      => 'varchar(2000)',
        ),

        'password' => array
        (
            'name'      => '密码',
            'type'      => 'varchar(32)',
        ),

        'code' => array
        (
            'name'      => '身份码',
            'type'      => 'varchar(80)',
        ),

        'vip_name' => array
        (
            'name'      => '会员称谓',
            'type'      => 'varchar(32)',
        ),

        'agent_name' => array
        (
            'name'      => '代理称谓',
            'type'      => 'varchar(32)',
        ),

        'price' => array
        (
            'name'      => '价格',
            'type'      => 'decimal(11,2)',
        ),

        'money_id' => array
        (
            'name'      => '支付货币',
            'type'      => 'int(11)',
            'default'   => '1',
            'value'     => 'sector/money',
        ),

        'score' => array
        (
            'name'      => '积分名称',
            'type'      => 'varchar(32)',
            'default'   => '金币',
        ),

        'score_per' => array
        (
            'name'      => '积分换算',
            'type'      => 'varchar(10)',
            'default'   => '1',
        ),

        'channel' => array
        (
            'name'      => '供货能力',
            'type'      => 'tinyint(1)',
            'default'   => 2,
            'value'     => array
            (
                1 => '开启',
                2 => '关闭',
            ),
        ),

        'pay_account' => array
        (
            'name'      => '支付账户',
            'type'      => 'tinyint(1)',
            'default'   => -1,
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '开启',
                2 => '禁用',
            ),
        ),
    ),
);