<?php
return array
(
    'name' => '功能表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'sort asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '名称',
            'type'      => 'varchar(32)',
        ),

        'info' => array
        (
            'name'      => '简介',
            'type'      => 'varchar(800)',
        ),

        'pic' => array
        (
            'name'      => '封面',
            'type'      => 'varchar(150)',
        ),

        'price' => array
        (
            'name'      => '价格',
            'type'      => 'decimal(11,2)',
            'default'   => '0',
        ),

        'cate' => array
        (
            'name'      => '分类',
            'type'      => 'varchar(50)',
        ),

        'cate_parent_id' => array
        (
            'name'      => '父级分类',
            'type'      => 'int(11)',
        ),

        'cate_child_id' => array
        (
            'name'      => '子分类',
            'type'      => 'int(11)',
        ),

        'type' => array
        (
            'name'      => '功能类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '接口',
                2 => '链接',
            ),
        ),

        'channel_id' => array
        (
            'name'      => '渠道',
            'type'      => 'int(11)',
            'value'     => 'api/channel',
        ),

        'api_id' => array
        (
            'name'      => '接口',
            'type'      => 'int(11)',
        ),

        'link'       => array
        (
            'name'      => '链接',
            'type'      => 'varchar(1000)',
        ),

        'content'       => array
        (
            'name'      => '内容',
            'type'      => 'text',
        ),

        'sort' => array
        (
            'name'      => '排序序号',
            'type'      => 'int(11)',
            'default'   => '1',
        ),
        
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '上架',
                2 => '下架',
            ),
        ),
    ),
);